Controlling network parameters (ports, mtu...)

## Functions

int | linphone_core_get_audio_port (const LinphoneCore *lc)
int | linphone_core_get_video_port (const LinphoneCore *lc)
void | linphone_core_set_audio_port (LinphoneCore *lc, int port)
void | linphone_core_set_video_port (LinphoneCore *lc, int port)
int | linphone_core_get_sip_port (LinphoneCore *lc)
int | linphone_core_set_sip_transports (LinphoneCore *lc, const LCSipTransports *tr)
int | linphone_core_get_sip_transports (LinphoneCore *lc, LCSipTransports *tr)
void | linphone_core_set_sip_port (LinphoneCore *lc, int port)
bool_t | linphone_core_ipv6_enabled (LinphoneCore *lc)
void | linphone_core_enable_ipv6 (LinphoneCore *lc, bool_t val)

## Detailed Description

## Function Documentation

int linphone_core_get_audio_port | ( | const LinphoneCore * | lc | ) |

Returns the UDP port used for audio streaming.

int linphone_core_get_video_port | ( | const LinphoneCore * | lc | ) |

Returns the UDP port used for video streaming.

void linphone_core_set_audio_port | ( | LinphoneCore * | lc,
|  | int | port
| ) |  |

Sets the UDP port used for audio streaming.

void linphone_core_set_video_port | ( | LinphoneCore * | lc,
|  | int | port
| ) |  |

Sets the UDP port used for video streaming.

int linphone_core_get_sip_port | ( | LinphoneCore * | lc | ) |

Returns the UDP port used by SIP.

Deprecated: use linphone_core_get_sip_transports() instead.

int linphone_core_set_sip_transports | ( | LinphoneCore * | lc,
|  | const LCSipTransports * | tr
| ) |  |

Sets the ports to be used for each of transport (UDP or TCP)

A zero value port for a given transport means the transport is not used.

int linphone_core_get_sip_transports | ( | LinphoneCore * | lc,
|  | LCSipTransports * | tr
| ) |  |

Retrieves the ports used for each transport (udp, tcp). A zero value port for a given transport means the transport is not used.

void linphone_core_set_sip_port | ( | LinphoneCore * | lc,
|  | int | port
| ) |  |

Sets the UDP port to be used by SIP.

Deprecated: use linphone_core_set_sip_transports() instead.

bool_t linphone_core_ipv6_enabled | ( | LinphoneCore * | lc | ) |

Returns TRUE if IPv6 is enabled.

See linphone_core_enable_ipv6() for more details on how IPv6 is supported in liblinphone.

void linphone_core_enable_ipv6 | ( | LinphoneCore * | lc,
|  | bool_t | val
| ) |  |

Turns IPv6 support on or off.

Note
  IPv6 support is exclusive with IPv4 in liblinphone: when IPv6 is turned on, IPv4 calls won't be possible anymore. By default IPv6 support is off.